//
//  IdentitySnapshot.swift
//  punchnet
//
//  Created by 安礼成 on 2026/2/5.
//

final class IdentitySnapshot {
    typealias IdentityID = UInt32
    
    private let identityMap: [IdentityID: IdentityRuleMap]
    
    init(identityMap: [IdentityID : IdentityRuleMap]) {
        self.identityMap = identityMap
    }
    
    func lookup(_ id: IdentityID) -> IdentityRuleMap? {
        return self.identityMap[id]
    }
    
    static func empty() -> IdentitySnapshot {
        return IdentitySnapshot(identityMap: [:])
    }
    
}
